Index: testsuites/itrontests/itronmbf01/init.c
===================================================================
--- testsuites/itrontests/itronmbf01/init.c	(revision 2960c42fabc77838e74699060a2f1eb42df5a1a6)
+++ testsuites/itrontests/itronmbf01/init.c	(revision 1b4b7f397b38b31d6ba84cbabe552e7703954b22)
@@ -41,11 +41,11 @@
 
 
-void TestCre();
-void TestDel();
-void TestPsnd();
-void TestRef();
-void TestTrcv();
-void TestRcv();
-void TestPrcv();
+void TestCre(void);
+void TestDel(void);
+void TestPsnd(void);
+void TestRef(void);
+void TestTrcv(void);
+void TestRcv(void);
+void TestPrcv(void);
 
 void ITRON_Init( void )
@@ -66,5 +66,5 @@
 }
 
-void TestCre()
+void TestCre(void)
 {
     ER      status;
@@ -140,5 +140,5 @@
 }
 
-void TestDel()
+void TestDel(void)
 {
     ER    status;
@@ -170,5 +170,5 @@
 }
 
-void TestPsnd()
+void TestPsnd(void)
 {
     ER   status;
@@ -213,5 +213,5 @@
 }
 
-void TestRef()
+void TestRef(void)
 {
     ER       status;
@@ -243,15 +243,15 @@
     assert( status == E_OK );
 
-    printf( "Init - mbf 1 msgsz = %d\n", pk_rmbf.msgsz );
-    printf( "Init - mbf 1 frbufsz = %d\n", pk_rmbf.frbufsz );
+    printf( "Init - mbf 1 msgsz = %" PRId32 "\n", pk_rmbf.msgsz );
+    printf( "Init - mbf 1 frbufsz = %" PRId32 "\n", pk_rmbf.frbufsz );
     printf( "Init - mbf 1 waiting tasks = %d\n", pk_rmbf.wtsk );
     printf( "Init - mbf 1 sending tasks = %d\n", pk_rmbf.stsk);
 }
 
-void TestRcv()
+void TestRcv(void)
 {
     ER         status;
     char       buffer[200];
-    uint32_t   s;
+    INT        s;
 
     puts( "Init - rcv_mbf - bad id (less than -4) - E_OACV" );
@@ -282,13 +282,13 @@
     status = rcv_mbf(buffer, &s, 1);
     assert(status == E_OK);
-    printf("Message:[%s], length:%d\n", buffer, s);
-}
-
-
-void TestPrcv()
+    printf("Message:[%s], length:%" PRId32 "\n", buffer, s);
+}
+
+
+void TestPrcv(void)
 {
     ER         status;
     char       buffer[200];
-    uint32_t   s;
+    INT        s;
 
     puts( "Init - prcv_mbf - bad id (less than -4) - E_OACV" );
@@ -322,9 +322,9 @@
 
 
-void TestTrcv()
+void TestTrcv(void)
 {
     ER        status;
     char      buffer[200];
-    uint32_t  s;
+    INT       s;
 
     puts( "Init - trcv_mbf - bad id (less than -4) - E_OACV" );
Index: testsuites/itrontests/itrontask01/system.h
===================================================================
--- testsuites/itrontests/itrontask01/system.h	(revision 2960c42fabc77838e74699060a2f1eb42df5a1a6)
+++ testsuites/itrontests/itrontask01/system.h	(revision 1b4b7f397b38b31d6ba84cbabe552e7703954b22)
@@ -20,5 +20,5 @@
 
 void ITRON_Init( void );
-void Task_2_through_4();
+void Task_2_through_4(void);
 
 /* configuration information */
Index: testsuites/itrontests/itrontask01/task1.c
===================================================================
--- testsuites/itrontests/itrontask01/task1.c	(revision 2960c42fabc77838e74699060a2f1eb42df5a1a6)
+++ testsuites/itrontests/itrontask01/task1.c	(revision 1b4b7f397b38b31d6ba84cbabe552e7703954b22)
@@ -21,5 +21,5 @@
 #include "system.h"
 
-void Task_2_through_4()
+void Task_2_through_4(void)
 {
   ID                tid;
Index: testsuites/itrontests/itrontask02/dormant.c
===================================================================
--- testsuites/itrontests/itrontask02/dormant.c	(revision 2960c42fabc77838e74699060a2f1eb42df5a1a6)
+++ testsuites/itrontests/itrontask02/dormant.c	(revision 1b4b7f397b38b31d6ba84cbabe552e7703954b22)
@@ -22,5 +22,5 @@
 #include "system.h"
 
-void Dormant_task()
+void Dormant_task(void)
 {
   puts( "DORMANT - ext_tsk - going to DORMANT state" );
@@ -32,5 +32,5 @@
 
 
-void Non_Dormant_task()
+void Non_Dormant_task(void)
 {
   ER       status;
Index: testsuites/itrontests/itrontask02/system.h
===================================================================
--- testsuites/itrontests/itrontask02/system.h	(revision 2960c42fabc77838e74699060a2f1eb42df5a1a6)
+++ testsuites/itrontests/itrontask02/system.h	(revision 1b4b7f397b38b31d6ba84cbabe552e7703954b22)
@@ -20,6 +20,6 @@
 
 void ITRON_Init( void );
-void Dormant_task();
-void Non_Dormant_task();
+void Dormant_task(void);
+void Non_Dormant_task(void);
 
 /* configuration information */
Index: testsuites/itrontests/itrontask03/system.h
===================================================================
--- testsuites/itrontests/itrontask03/system.h	(revision 2960c42fabc77838e74699060a2f1eb42df5a1a6)
+++ testsuites/itrontests/itrontask03/system.h	(revision 1b4b7f397b38b31d6ba84cbabe552e7703954b22)
@@ -20,8 +20,8 @@
 
 void ITRON_Init( void );
-void Preempt_task();
-void Task_1();
-void Task_2();
-void Task_3();
+void Preempt_task(void);
+void Task_1(void);
+void Task_2(void);
+void Task_3(void);
 
 /* configuration information */
Index: testsuites/itrontests/itrontask04/system.h
===================================================================
--- testsuites/itrontests/itrontask04/system.h	(revision 2960c42fabc77838e74699060a2f1eb42df5a1a6)
+++ testsuites/itrontests/itrontask04/system.h	(revision 1b4b7f397b38b31d6ba84cbabe552e7703954b22)
@@ -19,9 +19,9 @@
 /* functions */
 
-void ITRON_Init( void );
-void Preempt_task();
-void Task_1();
-void Task_2();
-void Task_3();
+extern void ITRON_Init( void );
+extern void Preempt_task(void);
+extern void Task_1(void);
+extern void Task_2(void);
+extern void Task_3(void);
 
 /* configuration information */
Index: testsuites/itrontests/itrontask04/task3.c
===================================================================
--- testsuites/itrontests/itrontask04/task3.c	(revision 2960c42fabc77838e74699060a2f1eb42df5a1a6)
+++ testsuites/itrontests/itrontask04/task3.c	(revision 1b4b7f397b38b31d6ba84cbabe552e7703954b22)
@@ -21,5 +21,5 @@
 #include "system.h"
 
-void Task_3()
+void Task_3(void)
 {
   rtems_status_code status;
